def readInteger(msg, beta, error_msg = "Given number does not fulfill condition"):
    success = False	
    while not success:
        try:
            number = int(input(msg + ": "))
            if not beta(number):
                print(error_msg + ". Try again!")
            else:
                success = True
        except ValueError:
            print("Not a number. Try again!")

    return number

def readPositive(msg):
    return readInteger(msg, lambda n: n > 0, "Not a positive number")
